Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package html
  Definition Classes
    doc
-  package page
  Definition Classes
    html
-  package diagram
  Definition Classes
    page
- DiagramGenerator
- DiagramStats
- DotDiagramGenerator
- DotProcess
- DotRunner

c

scala.tools.nsc.doc.html.page.diagram

# DotDiagramGenerator 

###

#### class DotDiagramGenerator extends DiagramGenerator

Source
  DotDiagramGenerator.scala

Linear Supertypes
DiagramGenerator, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DotDiagramGenerator
2. DiagramGenerator
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DotDiagramGenerator(settings: Settings, dotRunner: DotRunner)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DotDiagramGenerator to any2stringadd[DotDiagramGenerator] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DotDiagramGenerator, B)
   Implicit
     This member is added by an implicit conversion from DotDiagramGenerator to ArrowAssoc[DotDiagramGenerator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (DotDiagramGenerator) ⇒ Boolean, msg: ⇒ Any): DotDiagramGenerator
   Implicit
     This member is added by an implicit conversion from DotDiagramGenerator to Ensuring[DotDiagramGenerator] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (DotDiagramGenerator) ⇒ Boolean): DotDiagramGenerator
   Implicit
     This member is added by an implicit conversion from DotDiagramGenerator to Ensuring[DotDiagramGenerator] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): DotDiagramGenerator
    Implicit
      This member is added by an implicit conversion from DotDiagramGenerator to Ensuring[DotDiagramGenerator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): DotDiagramGenerator
    Implicit
      This member is added by an implicit conversion from DotDiagramGenerator to Ensuring[DotDiagramGenerator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DotDiagramGenerator to StringFormat[DotDiagramGenerator] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  def generate(diagram: Diagram, template: DocTemplateEntity, page: HtmlPage): NodeSeq

    Generates a visualization of the internal representation of a diagram.

    Generates a visualization of the internal representation of a diagram.

    returns

      The HTML to be embedded in the Scaladoc page

    Definition Classes
      DotDiagramGenerator → DiagramGenerator
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  def getKind(klass: String): String
19.  def getPosition(g: Node, axis: String, offset: Double): Option[Double]
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (DotDiagramGenerator, B)
    Implicit
      This member is added by an implicit conversion from DotDiagramGenerator to ArrowAssoc[DotDiagramGenerator] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from DiagramGenerator

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DotDiagramGenerator to any2stringadd[DotDiagramGenerator]

### Inherited by implicit conversion StringFormat from DotDiagramGenerator to StringFormat[DotDiagramGenerator]

### Inherited by implicit conversion Ensuring from DotDiagramGenerator to Ensuring[DotDiagramGenerator]

### Inherited by implicit conversion ArrowAssoc from DotDiagramGenerator to ArrowAssoc[DotDiagramGenerator]

### Ungrouped